.TH XRGB l "May 1994" NCAR "X11 Local Command"
.SH NAME
xrgb \- X Window System Red Green and Blue color selector
.SH SYNOPSIS
.B xrgb

.SH DESCRIPTION
.IX  "xrgb command"  ""  "\fLpwd\fP \(em X Window System RGB color selector"
.LP
.LP
.B Xrgb
is an X Window System application that allows the user to
set one of 2^^24 colors by adjusting the levels of 3 additive primary
color sliders.
Once a color has been set its X11 color string can be transferred into
the mouse buffer for use by other X Window System applications.
The xrgb window consists of
a color string select button on the top,
3 hexidecimal primary value displays and a quit button in the middle,
3 primary color sliders on the left,
and a mixed color area on the right,

.SH ADJUSTING COLORS
The color can be set
by adjusting the values of the three additive primary colors
(red, green, and blue) using a mouse and X sliders.
Clicking the left mouse button on one of the primary color sliders
causes the amount of the primary in the selected color cell to
increment.
Clicking the right mouse button causes the primary to decrement.
Clicking and dragging the middle mouse button causes the primary to
move with the mouse.
There is a hexadecimal numeric display over each primary color slider
that indicates the current value.

.SH FUNCTIONS
There are 2 basic function buttons for xrgb, select and quit.
A function is executed by moving the mouse pointer over
the button and pressing the left mouse button.
.LP

.B [Select]
The Select button causes the currently selected color to be turned into
an X11 compatible color string which gets stuffed into the mouse buffer.
Note that the mouse buffer is cleared after xrgb exits.
.LP

.B [Quit]
The Quit button causes xrgb to exit to the operating system,
no questions asked.
.LP

.SH EXAMPLE
To create an xterm with a custom background color run xrgb and dial up
a nice color using the RGB sliders.  When the desired color is displayed,
press the left mouse button on the Select button to store the color into
the mouse selection buffer.  On a command line or inside of an x startup
script, enter the command "xterm -bg " followed by a press of the middle
mouse button and a carriage return.  An xterm with the desired background
color should show up.  The command will look something like:
"xterm -bg rgb:a8/dd/ff".  It is also possible to select another color for
a foreground color so that the command resembles:
"xterm -bg rgb:a8/dd/ff -fg rgb:59/00/67".

.SH BUGS
Xrgb was designed to run on a machine with a pallette of 256 colors out of
16.7 million possible colors (2^^24), or in other words 8 bit video DACs.
It may not work properly on some video displays.

.SH AUTHORS
G. Forrest Cook, Jon Corbet, NCAR/ATD/SSSF/RDP

